List all webhooks
List all webhooks in the account
GET
/
api
/
v1
/
accounts
/
{account_id}
/
webhooks
List all webhooks
curl --request GET \
--url https://app.tied.com/api/v1/accounts/{account_id}/webhooks \
--header 'api_access_token: <api-key>'import requests
url = "https://app.tied.com/api/v1/accounts/{account_id}/webhooks"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.tied.com/api/v1/accounts/{account_id}/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://app.tied.com/api/v1/accounts/{account_id}/webhooks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api_access_token"] = '<api-key>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.tied.com/api/v1/accounts/{account_id}/webhooks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_access_token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"payload": {
"webhooks": [
{
"id": 17,
"url": "https://example.com/hooks/tied-755720",
"account_id": 1,
"subscriptions": [
"conversation_created",
"message_created"
]
},
{
"id": 18,
"url": "https://example.com/hooks/tied-112426",
"account_id": 1,
"subscriptions": [
"conversation_created",
"message_created"
]
}
]
}
}{
"error": "Resource could not be found"
}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
Response
Success
Show child attributes
Show child attributes
Was this page helpful?
⌘I
List all webhooks
curl --request GET \
--url https://app.tied.com/api/v1/accounts/{account_id}/webhooks \
--header 'api_access_token: <api-key>'import requests
url = "https://app.tied.com/api/v1/accounts/{account_id}/webhooks"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.tied.com/api/v1/accounts/{account_id}/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://app.tied.com/api/v1/accounts/{account_id}/webhooks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api_access_token"] = '<api-key>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.tied.com/api/v1/accounts/{account_id}/webhooks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_access_token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"payload": {
"webhooks": [
{
"id": 17,
"url": "https://example.com/hooks/tied-755720",
"account_id": 1,
"subscriptions": [
"conversation_created",
"message_created"
]
},
{
"id": 18,
"url": "https://example.com/hooks/tied-112426",
"account_id": 1,
"subscriptions": [
"conversation_created",
"message_created"
]
}
]
}
}{
"error": "Resource could not be found"
}